Subject: Re: Cygwin Termcap information involving extended ascii charicters
From: "Uther Pendragon" <[email-masked]>
To: "Egor Duda" <[email-masked]>
Date: Mon, 26 Feb 2001 02:13:02 -0600

> Hi!
>
> Monday, 26 February, 2001 Uther Pendragon [email-masked] wrote:
>
> UP> Hello, This isn't really a bug as such.. I just wanted to know how the
shell
> UP> itself interprets the ansi code for switching to and from the extended
ascii
> UP> tables.. by standard its usually
> UP>     "\033[12m" and "\033[11m"
> UP> but that doesnt seem to work in cygwin... if you can tell me how it
does,
> UP> will or can interpret it, I can fix the termcap info for it and submit
it..
> UP> thanks for your time.
>
> what  exactly do you mean by "extended ascii tables" here? if you mean
> characters  with  ascii  codes  0x80-0xff then no special tty commands
> are  needed  to output them in cygwin console: cygwin console is 8-bit
> one.  So  the answer to your question is "currently it's simply ignore
> them"
>
> Egor.            mailto:[email-masked] ICQ 5165414 FidoNet 2:5020/496.19
>

but this means that several programs that use the extended ascii charicters
by changing the charicter set will not, i.e. midnight commander, the colors
and function keys work, but the box and edge graphics wont show correctly,
is there any future plans to correct this?

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple